Data parsed by the parser

### Hierarchy

- Streams

## Index

### Methods

- buffered
- ofArray
- ofParser
- ofString

## Methods

### buffered

- buffered<D>(source: D): Stream<D>

- - Defined in masala-parser.d.ts:258

  Creates a bufferedStream that checks into a cache

  #### Type parameters

  - #### D

  #### Parameters

  - ##### source: D

  #### Returns Stream<D>

### ofArray

- ofArray<X>(): Stream<Array<X>>

- - Defined in masala-parser.d.ts:250

  #### Type parameters

  - #### X

  #### Returns Stream<Array<X>>

### ofParser

- ofParser<T, D>(tokenParser: IParser<T>, lowerStream: Stream<D>): Stream<IParser<T>>

- - Defined in masala-parser.d.ts:252

  #### Type parameters

  - #### T

  - #### D

  #### Parameters

  - ##### tokenParser: IParser<T>

  - ##### lowerStream: Stream<D>

  #### Returns Stream<IParser<T>>

### ofString

- ofString(string: string): Stream<string>

- - Defined in masala-parser.d.ts:248

  #### Parameters

  - ##### string: string

  #### Returns Stream<string>

Generated using TypeDoc